<script lang="ts">
	import Input from '$lib/components/Input.svelte';
	import { InputVariant } from '$lib/types/input';
	import ComponentCombiner from '$lib/components/docs/ComponentCombiner.svelte';

	const props = [];
	props['label'] = 'Name';
	props['placeholder'] = 'John Doe';

	const allOptions = [Object.keys(InputVariant).map((key) => 'InputVariant.' + key)];
</script>

<svelte:head>
	<title>Input - Components</title>
</svelte:head>

<div class="content">
	<h1>Components - Input</h1>

	<h2>All variants</h2>
	<ComponentCombiner
		variants={allOptions}
		{props}
		variantsPrefix={'Input'}
		component={Input}
		componentSelector={'Input'}
		enums={{ InputVariant }}
		noSlot={true}
	/>
</div>

<style>
</style>
